Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_lac.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_lac.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_lac.F90	(revision 8514)
@@ -26,4 +26,5 @@
    USE icethd_ent     ! sea-ice: thermodynamics, enthalpy
    USE icevar         ! sea-ice: operations
+   USE icethd_sal     ! sea-ice: salinity profiles
    !
    USE in_out_manager ! I/O manager
@@ -112,5 +113,5 @@
       !!-----------------------------------------------------------------------!
 
-      IF( ln_limdiachk ) CALL ice_cons_hsm(0, 'icethd_lac', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk ) CALL ice_cons_hsm(0, 'icethd_lac', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
 
       CALL ice_var_agg(1)
@@ -133,5 +134,5 @@
 
       ! Default new ice thickness
-      WHERE( qlead(:,:) < 0._wp )   ;   hicol(:,:) = rn_hnewice
+      WHERE( qlead(:,:) < 0._wp )   ;   hicol(:,:) = rn_hinew
       ELSEWHERE                     ;   hicol(:,:) = 0._wp
       END WHERE
@@ -348,5 +349,5 @@
             DO ji = 1, nidx
                rswitch       = 1._wp - MAX( 0._wp, SIGN( 1._wp , - zat_i_1d(ji) ) )
-               zfrazb        = rswitch * ( TANH( rn_Cfrazb * ( zvrel_1d(ji) - rn_vfrazb ) ) + 1.0 ) * 0.5 * rn_maxfrazb
+               zfrazb        = rswitch * ( TANH( rn_Cfraz * ( zvrel_1d(ji) - rn_vfraz ) ) + 1.0 ) * 0.5 * rn_maxfraz
                zv_frazb(ji)  =         zfrazb   * zv_newice(ji)
                zv_newice(ji) = ( 1.0 - zfrazb ) * zv_newice(ji)
@@ -478,5 +479,5 @@
       ENDIF ! nidx > 0
       !
-      IF( ln_limdiachk ) CALL ice_cons_hsm(1, 'icethd_lac', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
+      IF( ln_icediachk ) CALL ice_cons_hsm(1, 'icethd_lac', zvi_b, zsmv_b, zei_b, zfw_b, zfs_b, zft_b)
       !
    END SUBROUTINE ice_thd_lac
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icethd_sal.F90	(revision 8514)
@@ -55,7 +55,7 @@
       SELECT CASE ( nn_icesal )
       !
-      !              !---------------------------------------------!
-      CASE( 2 )      !  time varying salinity with linear profile  !
-      !              !---------------------------------------------!
+      !               !---------------------------------------------!
+      CASE( 2 )       !  time varying salinity with linear profile  !
+      !               !---------------------------------------------!
          DO ji = 1, nidx
 
@@ -71,5 +71,5 @@
             sm_i_1d(ji) = sm_i_1d(ji) + zsm_i_bg + zsm_i_si
 
-            IF( ln_limdS ) THEN
+            IF( ln_icedS ) THEN
                !---------------------------------------------------------
                !  Update ice salinity from brine drainage and flushing
@@ -91,7 +91,7 @@
          CALL ice_var_salprof1d
          !
-      !                 !---------------------------------------------!
-      CASE( 3 )         ! constant salinity with a fix profile        ! (Schwarzacher (1959) multiyear salinity profile(mean = 2.30)
-      !                 !---------------------------------------------!
+      !         !---------------------------------------------!
+      CASE( 3 ) ! constant salinity with a fixed profile      ! (Schwarzacher (1959) multiyear salinity profile(mean = 2.30)
+      !         !---------------------------------------------!
          CALL ice_var_salprof1d
       !
@@ -114,5 +114,5 @@
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_sal/ ln_limdS , nn_icesal , rn_icesal, rn_sal_gd, rn_time_gd,   &
+      NAMELIST/namice_sal/ ln_icedS , nn_icesal , rn_icesal, rn_sal_gd, rn_time_gd,   &
          &                rn_sal_fl, rn_time_fl, rn_simax , rn_simin 
       !!-------------------------------------------------------------------
@@ -132,5 +132,5 @@
          WRITE(numout,*) '~~~~~~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namice_sal'
-         WRITE(numout,*) '      activate gravity drainage and flushing (T) or not (F)   ln_limdS   = ', ln_limdS
+         WRITE(numout,*) '      activate gravity drainage and flushing (T) or not (F)   ln_icedS   = ', ln_icedS
          WRITE(numout,*) '      switch for salinity                                     nn_icesal  = ', nn_icesal
          WRITE(numout,*) '      bulk salinity value if nn_icesal = 1                    rn_icesal  = ', rn_icesal
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceupdate.F90	(revision 8514)
@@ -121,5 +121,5 @@
 
       ! --- case we bypass ice thermodynamics --- !
-      IF( .NOT. ln_limthd ) THEN   ! we suppose ice is impermeable => ocean is isolated from atmosphere
+      IF( .NOT. ln_icethd ) THEN   ! we suppose ice is impermeable => ocean is isolated from atmosphere
          hfx_in   (:,:)   = ( 1._wp - at_i_b(:,:) ) * ( qns_oce(:,:) + qsr_oce(:,:) ) + qemp_oce(:,:)
          hfx_out  (:,:)   = ( 1._wp - at_i_b(:,:) ) *   qns_oce(:,:)                  + qemp_oce(:,:)
@@ -208,7 +208,7 @@
 
       !                    ! conservation test
-      IF( ln_limdiachk .AND. .NOT. ln_bdy)   CALL ice_cons_final( 'iceupdate' )
+      IF( ln_icediachk .AND. .NOT. ln_bdy)   CALL ice_cons_final( 'iceupdate' )
       !                    ! control prints
-      IF( ln_limctl )   CALL ice_prt( kt, iiceprt, jiceprt, 3, ' - Final state ice_update - ' )
+      IF( ln_icectl )   CALL ice_prt( kt, iiceprt, jiceprt, 3, ' - Final state ice_update - ' )
       IF( ln_ctl    )   CALL ice_prt3D( 'iceupdate' )
       !
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8514)
@@ -191,5 +191,5 @@
       o_i(:,:,:)  = oa_i(:,:,:) * z1_a_i(:,:,:)    !--- ice age
 
-      IF( nn_icesal == 2 )THEN                     !--- salinity (with a minimum value imposed everywhere)
+      IF( nn_icesal == 2 ) THEN                    !--- salinity (with a minimum value imposed everywhere)
          WHERE( v_i(:,:,:) > epsi20 )   ;   sm_i(:,:,:) = MAX( rn_simin , smv_i(:,:,:) / v_i(:,:,:) )
          ELSEWHERE                      ;   sm_i(:,:,:) = rn_simin
@@ -289,20 +289,17 @@
       !!------------------------------------------------------------------
 
-!!gm  much much more secure to defined when reading nn_icesal in the namelist integers =1, 2, 3  with explicit names
-!!       for example np_Scst_noProfile = 1  ;  np_Svar_linProfile = 2   ;   np_Scst_fixProfile
-
 !!gm Question: Remove the option 3 ?  How many years since it last use ? 
 
       SELECT CASE ( nn_icesal )
       !
-      !              !---------------------------------------!
-      CASE( 1 )      !  constant salinity in time and space  !
-         !           !---------------------------------------!
+      !               !---------------------------------------!
+      CASE( 1 )       !  constant salinity in time and space  !
+         !            !---------------------------------------!
          s_i (:,:,:,:) = rn_icesal
          sm_i(:,:,:)   = rn_icesal
          !
-         !           !---------------------------------------------!
-      CASE( 2 )      !  time varying salinity with linear profile  !
-         !           !---------------------------------------------!
+         !            !---------------------------------------------!
+      CASE( 2 )       !  time varying salinity with linear profile  !
+         !            !---------------------------------------------!
          !
          ALLOCATE( z_slope_s(jpi,jpj,jpl) , zalpha(jpi,jpj,jpl) )
@@ -343,7 +340,7 @@
          DEALLOCATE( z_slope_s , zalpha )
          !
-         !           !-------------------------------------------!
-      CASE( 3 )      ! constant salinity with a fix profile      ! (Schwarzacher (1959) multiyear salinity profile
-         !           !-------------------------------------------!                                   (mean = 2.30)
+         !            !-------------------------------------------!
+      CASE( 3 )       ! constant salinity with a fix profile      ! (Schwarzacher (1959) multiyear salinity profile
+         !            !-------------------------------------------!                                   (mean = 2.30)
          !
          sm_i(:,:,:) = 2.30_wp
@@ -415,12 +412,12 @@
       SELECT CASE ( nn_icesal )
       !
-      !              !---------------------------------------!
-      CASE( 1 )      !  constant salinity in time and space  !
-         !           !---------------------------------------!
+      !               !---------------------------------------!
+      CASE( 1 )       !  constant salinity in time and space  !
+         !            !---------------------------------------!
          s_i_1d(:,:) = rn_icesal
          !
-         !           !---------------------------------------------!
-      CASE( 2 )      !  time varying salinity with linear profile  !
-         !           !---------------------------------------------!
+         !            !---------------------------------------------!
+      CASE( 2 )       !  time varying salinity with linear profile  !
+         !            !---------------------------------------------!
          !
          ALLOCATE( z_slope_s(jpij) )
@@ -445,7 +442,7 @@
          DEALLOCATE( z_slope_s )
 
-         !           !-------------------------------------------!
-      CASE( 3 )      ! constant salinity with a fix profile      ! (Schwarzacher (1959) multiyear salinity profile
-         !           !-------------------------------------------!                                   (mean = 2.30)
+         !            !-------------------------------------------!
+      CASE( 3 )       ! constant salinity with a fix profile      ! (Schwarzacher (1959) multiyear salinity profile
+         !            !-------------------------------------------!                                   (mean = 2.30)
          !
          sm_i_1d(:) = 2.30_wp
@@ -572,5 +569,5 @@
       !!                  ice thickness distribution follows a gaussian law
       !!               around the concentration of the most likely ice thickness
-      !!                           (similar as iceist.F90)
+      !!                           (similar as iceistate.F90)
       !!
       !! ** Method:   Iterative procedure
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice.F90	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/OPA_SRC/BDY/bdyice.F90	(revision 8514)
@@ -73,5 +73,5 @@
                         CALL ice_var_zapsmall
                         CALL ice_var_agg(1)
-      IF( ln_limctl )   CALL ice_prt( kt, iiceprt, jiceprt, 1, ' - ice thermo bdy - ' )
+      IF( ln_icectl )   CALL ice_prt( kt, iiceprt, jiceprt, 1, ' - ice thermo bdy - ' )
       !
    END SUBROUTINE bdy_ice
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/SETTE/sette.sh	(revision 8513)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/SETTE/sette.sh	(revision 8514)
@@ -143,5 +143,5 @@
 #                     15 & 16 
 
-for config in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16
+for config in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 
 
 do
@@ -312,5 +312,6 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_ice_cfg ln_limdiachk .true.
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+##    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -351,5 +352,6 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_ice_cfg ln_limdiachk .true.
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+##    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_rsttr .true.
     set_namelist namelist_top_cfg nn_rsttr 2
@@ -413,5 +415,6 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_ice_cfg ln_limdiachk .true.
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -455,5 +458,6 @@
     set_namelist namelist_cfg jpnj 4
     set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_ice_cfg ln_limdiachk .true.
+    set_namelist namelist_ice_cfg ln_icediachk .true.
+    set_namelist namelist_ice_cfg ln_icediahsb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
@@ -814,5 +818,5 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_ice_cfg ln_limdiachk .true.
+    set_namelist namelist_ice_cfg ln_icediachk .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -840,5 +844,5 @@
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
-    set_namelist namelist_ice_cfg ln_limdiachk .true.
+    set_namelist namelist_ice_cfg ln_icediachk .true.
     set_namelist namelist_ice_cfg cn_icerst_in \"SAS_00000050_restart_ice\"
     if [ ${USING_MPMD} == "yes" ] ; then
